<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <!-- catalog preview content<br/>
    {{ row?.id }} -->
    <div class="artifact-details-table">
        <div class="line">
            <div>
            </div>
            <div>
                Distinct Values
            </div>
            <div>
                Percentage of Distinct Values
            </div>
            <div>
                Missing Values
            </div>
            <div>
                Percentage of Missing Values
            </div>
            <div>
                Terms
            </div>
        </div>
        <div class="line">
            <div>
                <span>Timestamp</span>
            </div>
            <div>
                1343
            </div>
            <div>
                0
            </div>
            <div>
                0
            </div>
            <div>
                100
            </div>
            <div>
                <span class="type-yellow">
                    Source IP Address
                </span>
            </div>
        </div>
        <div class="line">
            <div>
                <span>Timestamp</span>
            </div>
            <div>
                1343
            </div>
            <div>
                0
            </div>
            <div>
                0
            </div>
            <div>
                100
            </div>
            <div></div>
        </div>

        <div class="line separated">
            <div>
                <span>Timestamp</span>
            </div>
            <div>
                100
            </div>
        </div>
        <div class="line separated">
            <div>
                <span>Timestamp</span>
            </div>
            <div>
                100
            </div>
        </div>
        <div class="line separated">
            <div>
                <span>Timestamp</span>
            </div>
            <div>
                100
            </div>
        </div>


        <div class="button-wrapper">
            <button class="button-secondary purple">View more</button>
        </div>

        <div class="kpi">
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
            <div>
                <h3>title</h3>
                <p><span>12</span></p>
            </div>
        </div>

        <div class="graphic">
            <img src="assets/images/graphic.png" alt="">
        </div>

    </div>
</template>
<script setup lang="ts">

// read props datatatable.row
const props = defineProps({
    row: Object
});

</script>